Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.http
Class ORDRegisterer

`java.lang.Object
oracle.jbo.http.ORDRegisterer`

public class ORDRegisterer
extends java.lang.Object

Field Summary
`static java.lang.String` | `DISP_RENDERER_KEY` The field type value for Display renderer
`static java.lang.String` | `EDIT_RENDERER_KEY` The field type value for Edit renderer
`static java.lang.String` | `ORD_DISPLAYRENDERER_CLASSNAME` Default Intermedia Display renderer class name
`static java.lang.String` | `ORD_EDITRENDERER_CLASSNAME` Default Intermedia Edit renderer class name

Constructor Summary
`ORDRegisterer()`

Method Summary
`static void` | `registerRenderer(javax.servlet.http.HttpSession session)`
`static void` | `registerRenderer(java.util.Map sessionScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISP_RENDERER_KEY

    public static final java.lang.String DISP_RENDERER_KEY

  The field type value for Display renderer
  See Also:
    Constant Field Values

### EDIT_RENDERER_KEY

    public static final java.lang.String EDIT_RENDERER_KEY

  The field type value for Edit renderer
  See Also:
    Constant Field Values

### ORD_DISPLAYRENDERER_CLASSNAME

    public static final java.lang.String ORD_DISPLAYRENDERER_CLASSNAME

  Default Intermedia Display renderer class name
  See Also:
    Constant Field Values

### ORD_EDITRENDERER_CLASSNAME

    public static final java.lang.String ORD_EDITRENDERER_CLASSNAME

  Default Intermedia Edit renderer class name
  See Also:
    Constant Field Values

Constructor Detail

### ORDRegisterer

    public ORDRegisterer()

Method Detail

### registerRenderer

    public static void registerRenderer(javax.servlet.http.HttpSession session)

### registerRenderer

    public static void registerRenderer(java.util.Map sessionScope)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.